//此乃本模块与后台交互的方法接口部分
var mapping1Module = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
mapping1Module.prototype = BusinessObject;

//插入数据
mapping1Module.prototype.insertTable = function(){};
//修改数据
mapping1Module.prototype.updateTable = function(){};
//删除数据
mapping1Module.prototype.deleteTable = function(){};
//导入数据
mapping1Module.prototype.ImpUser = function(){};
//修改用户数据
mapping1Module.prototype.updateMappingUser = function(){};
//导入映射数据
mapping1Module.prototype.ImpMapper = function(){};

//获取数据
mapping1Module.prototype.listTable = function(){};


//创建一个数据操作对象，然后再后续使用
mapping1Module.mapping1ActAction = new mapping1Module("json").delegate("jwAppsMappingAct");
//创建一个数据获取对象，然后再后续使用
mapping1Module.mapping1DataAction = new mapping1Module("json").delegate("jwAppsMappingData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
